Bug 147887 - Lg GSA-4120B dvd burner isnt detected with smp kernel
Lg GSA-4120B dvd burner isnt detected with smp kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-11 21:04 EST by Simon
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon 2005-02-11 21:04:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have a pentium 4 with hyperthreading so I use the smp kernel. From a cold boot when the kernel comes to detect the installed drives it stalls on hdc which is the dvd drive for a few seconds, then continues to boot. Once fedora is loaded the dvd drive is not present. No fstab entry, ls -a /media only shows floppy and a grep of dmesg shows:

[root@thunder /]# cat /var/log/dmesg | grep hdc
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:DMA

I have found 3 solutions, neither of which I should have to do. If I reboot the computer into windows the drive is detected, and if I again reboot the computer into linux using the smp kernel, the drive is now detected successfully. If I select the non-smp kernel via grub the drive is detected. And if I add the allowcddma option to grub the drive is detected with the smp kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Turn on computer
2.Leave to boot
3.Watch as dvd burner isnt detected

Actual Results:  nothing, no drive is detected

Expected Results:  The drive should be automatically detected correctly with the smp kernel

Additional info:
Comment 1 Simon 2005-02-18 12:40:14 EST
Ive been doing some extra research into my problem. First off I have upgraded to
the latest stable fedora kernel (2.6.10-1.766).

I think some of my conclusions about the problem being smp only, and allowcddma
fixing the problem as somewhat hasty. After repeatedly rebooting the machine
with different settings I have found out that:

The problem exists on the smp and non-smp kernel.

When the kernel is loading, and gets to the part where it detects the installed
drives, it goes through hda and hdb instantly, then halts for around 5 seconds
on hdc, doesnt detect it, and continues booting.

Using no kernel paramaters, using allowcddma, or using ide=nodma all result in
the same outcome.

That outcome is that about 9 times out 10, the drive is not detected. The 1 time
out of 10 when it is detected, the drive works perfectly.

Some extra points. The drive is detected by the bios during boot up, and using
the drive detect facility inside the bios. If I put the fedora core 3 disk 1 cd
in the drive, it loads up the install utility with no problems, and the drive is
also detected by windows on every boot.
Comment 2 Dave Jones 2005-07-15 13:49:08 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:16:57 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.